Resource Center/Resource Pool/VM Scheduling Rule Group Operations
POSTVM Scheduling Rule Group OperationsSince 4.6.0SynchronousAuth Required
CreateHostSchedulingRuleGroup
CreateHostSchedulingRuleGroup
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Request Inputs
Body Fields
paramsObjectRequiredRequest body parameter object.
nameStringRequiredThe resource name.
descriptionStringOptional. Optional. The detailed description of the resource.
zoneUuidStringRequiredThe zone UUID.
clusterUuidStringRequiredThe cluster UUID.
resourceUuidStringOptional. The resource UUID.
tagUuidsListOptional. The tag UUID list.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
POST/zstack/v1/hostSchedulingRuleGroup
/zstack/v1/hostSchedulingRuleGroup
Request Example
curl -X POST 'http://{host}/zstack/v1/hostSchedulingRuleGroup' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","description":"<description>","zoneUuid":"<zoneUuid>","clusterUuid":"<clusterUuid>","resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "name": "test", "description": "test desc", "zoneUuid": "1eca7fc3081a3750b55930b194d82991", "clusterUuid": "e73c4aa3e6a03ee3bb4f325ab3b395b1" } }Change History
This API has no change history records yet.
